package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 模型明细表
 * </p>
 *
 * @author zhoutg
 * @since 2018-11-15
 */
@Getter
@Setter
public class ModuleDetailDTO extends QuestionDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private String prefix; //模板前缀
    private String suffix; //模板后缀
    private Long moduleId; //模型id
    private Long questionId; //questionId
    private String flag; //特殊标识
    private Long relationModule; //关联模板
    private String relationModuleName;//关联模板名称

}
