package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 量表内容表
 * </p>
 *
 * @author zhoutg
 * @since 2019-03-11
 */
@TableName("icss_scale_content")
@Getter
@Setter
public class ScaleContent implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 量表标签id
     */
    private Long scaleId;

    /**
     * 内容
     */
    private String content;

    /**
     * 0:文本，1：大数据接口填充
     */
    private Integer type;

    /**
     * 排序号
     */
    private Integer orderNo;

    /**
     * 备注
     */
    private String remark;

}
