/**
 * 
 */
package com.diagbot.vo;

import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rengb
 * @time 2019年3月12日下午2:29:43
 */
@Getter
@Setter
public class SaveInquiryEvaluationVO {
	
	
	/**
     * 评估页面html内容
     */
	@ApiModelProperty(value="评估页面html内容",required=true)
    @NotBlank(message="评估页面html内容必传")
    private String htmlContent;
	
	/**
	 * 评估量表明细
	 */
	@Valid
    @ApiModelProperty(value="评估量表明细",required=true)
    @NotEmpty(message="评估量表明细不能为空")
    private List<SaveInquiryScaleVO> scaleList;

}
