package com.diagbot.dto;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @author wangfeng
 * @Description: TODO
 * @date 2019年3月25日 下午2:53:25
 */
@Setter
@Getter
public class EvaluationModuleMappingDTO {

	private Long id;

	/**
	 * 记录创建时间
	 */
	private Date gmtCreate;

	/**
	 * 记录修改时间,如果时间是1970年则表示纪录未修改
	 */
	private Date gmtModified;

	/**
	 * 创建人，0表示无创建人值
	 */
	private String creator;

	/**
	 * 修改人,如果为0则表示纪录未修改
	 */
	private String modifier;

	/**
	 * 区域名
	 */
	private String regionName;

	/**
	 * 区域类型
	 */
	private String regionType;

	/**
	 * 区域顺序
	 */
	private Integer orderNo;

	/**
	 * 疾病id
	 */
	private Long diseaseId;
	
	private String diseaseName;
}
