package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.EvaluationModuleMappingDTO;
import com.diagbot.entity.EvaluationModuleMapping;
import com.diagbot.vo.EvaluationModuleDiseaseNameVO;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 管理与评估模板表 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2019-03-25
 */
public interface EvaluationModuleMappingMapper extends BaseMapper<EvaluationModuleMapping> {

    IPage<EvaluationModuleMappingDTO> queryEvaluationModulePageAll(@Param("evaluationModule") EvaluationModuleDiseaseNameVO evaluationModule);

}
