package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.dto.LisMappingPageDTO;
import com.diagbot.entity.LisMapping;
import com.diagbot.vo.LisMappingPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 化验项目公表映射 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2019-03-26
 */
public interface LisMappingMapper extends BaseMapper<LisMapping> {

    /**
     * 获取化验公表映射分页
     *
     * @param lisMappingPageVO
     * @return
     */
    IPage<LisMappingPageDTO> lisMappingPage(@Param("lisMappingPageVO") LisMappingPageVO lisMappingPageVO);
}
