package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.DeptInfoDTO;
import com.diagbot.dto.GetDeptInfoDTO;
import com.diagbot.entity.DeptInfo;
import com.diagbot.mapper.DeptInfoMapper;
import com.diagbot.service.DeptInfoService;
import com.diagbot.vo.GetDeptInfoVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 科室信息表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2018-11-22
 */
@Service
public class DeptInfoServiceImpl extends ServiceImpl<DeptInfoMapper, DeptInfo> implements DeptInfoService {

    @Override
    public IPage<GetDeptInfoDTO> getDeptInfos(GetDeptInfoVO getDeptInfoVO) {
        return baseMapper.getDeptInfos(getDeptInfoVO);
    }

    @Override
    public IPage<GetDeptInfoDTO> getAllDeptInfo(GetDeptInfoVO getDeptInfoVO) {
        return baseMapper.getAllDeptInfo(getDeptInfoVO);
    }

    @Override
    public List<DeptInfoDTO> getDeptName() {
        return baseMapper.getDeptName();
    }
}
