package com.diagbot.service.impl;

import com.diagbot.dto.IndexConfigDTO;
import com.diagbot.entity.IndexConfig;
import com.diagbot.mapper.IndexConfigMapper;
import com.diagbot.service.IndexConfigService;
import com.diagbot.vo.IndexConfigDiseaseNameVO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 指标配置 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2019-03-25
 */
@Service
public class IndexConfigServiceImpl extends ServiceImpl<IndexConfigMapper, IndexConfig> implements IndexConfigService {

	@Override
	public IPage<IndexConfigDTO> queryIndexConfigPageAlls(IndexConfigDiseaseNameVO indexConfigDiseaseNameVO) {
		return baseMapper.queryIndexConfigPageAlls(indexConfigDiseaseNameVO);
	}

}
