package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/12/24 11:35
 */
@Getter
@Setter
public class UpdateModuleInfoVO {
    @NotNull(message="模板id不能为空")
    private Long id;
    @NotNull(message="模板名称不能为空")
    private String name;
    @NotNull(message="模板属于不能为空")
    private int type;
    @NotNull(message="标签id不能为空")
    private List<AddModuleDetailVO> modelDetils;
    @NotNull(message="模板类型不能为空")
    private Long moduleType;
    //关联id
    private Long relationId;
}
