package com.diagbot.mapper;

import com.diagbot.vo.TermVo;
import com.diagbot.dto.LibraryInfoDTO;
import com.diagbot.entity.LibraryInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.entity.LibraryInfo;

/**
 * <p>
 * 提示信息 Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
public interface LibraryInfoMapper extends BaseMapper<LibraryInfo> {
    /**
     * 获取术语基本信息
     *
     * @param termVo
     * @return LibraryInfo
     */
    public LibraryInfo getLibraryInfo(TermVo termVo);
}
