package com.diagbot.mapper;

import com.diagbot.entity.Relation;
import com.diagbot.dto.RelationDTO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.TermVo;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-31
 */
public interface RelationMapper extends BaseMapper<Relation> {
    /**
     * 获取术语上级信息
     *
     * @param termVo
     * @result List<RelationDTO>
     */
    public List<RelationDTO> getRelation(TermVo termVo);
}
