package com.diagbot.service.impl;

import com.diagbot.dto.RelationDTO;
import com.diagbot.entity.LexiconRelationship;
import com.diagbot.facade.LibraryInfoFacade;
import com.diagbot.mapper.LexiconRelationshipMapper;
import com.diagbot.service.LexiconRelationshipService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-02-01
 */
@Service
public class LexiconRelationshipServiceImpl extends ServiceImpl<LexiconRelationshipMapper, LexiconRelationship> implements LexiconRelationshipService {
    @Override
    public LexiconRelationship getLexiconRelationship(RelationDTO relationDTO, LibraryInfoFacade libraryInfoFacade) {
        return baseMapper.getLexiconRelationship(relationDTO, libraryInfoFacade);
    }
}
