package com.diagbot.service.impl;

import com.diagbot.entity.LibraryDetail;
import com.diagbot.mapper.LibraryDetailMapper;
import com.diagbot.service.LibraryDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.TermVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 提示信息明细 服务实现类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
@Service
public class LibraryDetailServiceImpl extends ServiceImpl<LibraryDetailMapper, LibraryDetail> implements LibraryDetailService {
    @Override
    public List<LibraryDetail> getLibraryDetail(TermVo termVo) {
        return baseMapper.getLibraryDetail(termVo);
    }
}
