package com.diagbot.service.impl;

import com.diagbot.dto.LibraryInfoDTO;
import com.diagbot.vo.TermVo;
import com.diagbot.entity.LibraryInfo;
import com.diagbot.mapper.LibraryInfoMapper;
import com.diagbot.service.LibraryInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 提示信息 服务实现类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
@Service
public class LibraryInfoServiceImpl extends ServiceImpl<LibraryInfoMapper, LibraryInfo> implements LibraryInfoService {
    @Override
    public LibraryInfo getLibraryInfo(TermVo termVo) {
        return baseMapper.getLibraryInfo(termVo);
    }
}
