package com.diagbot.service.impl;

import com.diagbot.entity.Relation;
import com.diagbot.dto.RelationDTO;
import com.diagbot.mapper.RelationMapper;
import com.diagbot.service.RelationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.TermVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-31
 */
@Service
public class RelationServiceImpl extends ServiceImpl<RelationMapper, Relation> implements RelationService {
    public List<RelationDTO> getRelation(TermVo termVo) {
        return baseMapper.getRelation(termVo);
    }
}
