package com.diagbot.facade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.dto.TypeDTO;
import com.diagbot.service.impl.LexiconServiceImpl;
import com.diagbot.vo.TypeVo;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;



/**
 * @Description: 术语查询业务层
 * @author: Weixuan Huang
 * @time: 2019/3/18 17:30
 */
@Component
public class TypeFacade extends LexiconServiceImpl {

    /**
     * 获取术语类型信息
     *
     * @param typeVo
     * @return IPage<TypeDTO>
     */
    public IPage<TypeDTO> getTypes(@RequestBody TypeVo typeVo) {

        return getAllTypes(typeVo);
    }

}
