package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.dto.TypeDTO;
import com.diagbot.entity.Lexicon;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.TypeVo;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-03-18
 */
public interface LexiconMapper extends BaseMapper<Lexicon> {
    /**
     * 获取所有术语信息
     *
     * @param typeVo
     * @return IPage<TypeDTO>
     */
    public IPage<TypeDTO> getAllTypes(TypeVo typeVo);
}
