package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
//import com.diagbot.dto.LibraryDTO;
import com.diagbot.dto.MedicalDTO;
import com.diagbot.dto.TypeDTO;
import com.diagbot.entity.Medical;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.TypeVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-16
 */
public interface MedicalService extends IService<Medical> {
    public IPage<MedicalDTO> getAllMedicalInfo(Page page, MedicalDTO medicalDTO);

//    public List<Medical> getMedicalInfo(LibraryDTO libraryDTO);

    public List<TypeDTO> getTypeId(TypeVo typeVo);

    public List<Medical> getLimboItems();

    public void truncateMedical();
}
