package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.dto.TypeDTO;
import com.diagbot.entity.Lexicon;
import com.diagbot.mapper.LexiconMapper;
import com.diagbot.service.LexiconService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.TypeVo;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-14
 */
@Service
public class LexiconServiceImpl extends ServiceImpl<LexiconMapper, Lexicon> implements LexiconService {
    @Override
    public IPage<TypeDTO> getAllTypes(TypeVo typeVo) {
        return baseMapper.getAllTypes(typeVo);
    }
}
