package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.LibraryInfoDTO;
import com.diagbot.entity.Concept;
import com.diagbot.entity.LibraryInfo;
import com.diagbot.mapper.LibraryInfoMapper;
import com.diagbot.service.LibraryInfoService;
import com.diagbot.vo.ConceptVo;
import com.diagbot.vo.TermVo;
import org.omg.PortableServer.LIFESPAN_POLICY_ID;
import org.springframework.security.core.parameters.P;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 提示信息 服务实现类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
@Service
public class LibraryInfoServiceImpl extends ServiceImpl<LibraryInfoMapper, LibraryInfo> implements LibraryInfoService {
    @Override
    public IPage<LibraryInfoDTO> getAllInfor(ConceptVo conceptVo) {
        return baseMapper.getAllInfor(conceptVo);
    }

    @Override
    public IPage<LibraryInfoDTO> getAllConcept(ConceptVo conceptVo) {
        return baseMapper.getAllConcept(conceptVo);
    }

    @Override
    public List<LibraryInfo> getLimboItems() { return baseMapper.getLimboItems(); }
}
