package com.diagbot.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2019/3/19 15:58
 */
@ApiModel(value="获取评估结果接口出参")
@Getter
@Setter
public class GetEvaluationsDTO {
	
	/**
     * 评估id
     */
	@ApiModelProperty(value="评估id")
	private Long id;
	
	/**
     * 评估页面html内容
     */
	@ApiModelProperty(value="评估页面html内容")
    private String htmlContent;
	
}
