package com.diagbot.dto;

import java.util.Date;
import java.util.List;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2019/3/19 13:56
 */
@Getter
@Setter
public class HisInquirysForDjDTO{
	
	private Long id;
	
    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 科室id
     */
    private Long hospitalDeptId;

    /**
     * 医生id
     */
    private Long doctorId;

    /**
     * 患者id
     */
    private Long patientId;

    /**
     * 就诊序列号
     */
    private String inquiryCode;

    /**
     * 分类(1:门诊,2:住院)
     */
    private Integer type;

	
	private List<String> contentList;
	
}
