package com.diagbot.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.IndexDataDTO;
import com.diagbot.entity.IndexData;

/**
 * <p>
 * 指标数据表 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2019-03-11
 */
public interface IndexDataMapper extends BaseMapper<IndexData> {

	List<IndexDataDTO> getIndexDataAll( @Param("indexDataMap") Map<String, Object> indexDataMap);

	boolean insertIndexDataList(List<IndexData> indexDataList);

}
