package com.diagbot.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.IndexDataDTO;
import com.diagbot.entity.IndexData;
import com.diagbot.mapper.IndexDataMapper;
import com.diagbot.service.IndexDataService;

/**
 * <p>
 * 指标数据表 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2019-03-11
 */
@Service
public class IndexDataServiceImpl extends ServiceImpl<IndexDataMapper, IndexData> implements IndexDataService {

	@Override
	public List<IndexDataDTO> getIndexDataAll(Map<String, Object> indexDataMap) {
		return baseMapper.getIndexDataAll(indexDataMap);
	}
	
	@Override
	public boolean insertIndexDataList(List<IndexData> IndexDataList){
		return baseMapper.insertIndexDataList(IndexDataList);
	}

}
