package com.diagbot.vo;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2019/3/19 15:58
 */
@ApiModel(value="获取评估量表接口传参")
@Getter
@Setter
public class GetEvaluationScalesVO {

	/**
	 * 问诊记录id
	 */
	@ApiModelProperty(value="问诊记录id",required=true)
	@NotNull(message="问诊记录id必传")
	private Long inquiryId;
	
    /**
     * 问诊记录评估结果id
     */
	@ApiModelProperty(value="问诊记录评估结果id",required=true)
	@NotNull(message="问诊记录评估结果id必传")
    private Long inquiryEvaluationId;
	
}
