package com.diagbot.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @author wangfeng
 * @Description: TODO
 * @date 2019年3月11日 下午7:42:35
 */
@Setter
@Getter
public class IndexDataFindVO {

	/**
	 * 疾病ID
	 */
	@NotNull(message = "请输入疾病id")
	private Long diseaseId;
	/**
	 * 患者id
	 */
	@NotNull(message = "请输入患者id")
	private Long patientId;

	@NotBlank(message = "请输入开始时间")
	private String startTime;

	@NotBlank(message = "请输入结束时间")
	private String endTime;
}
