package com.diagbot.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rengb
 * @time 2019年3月12日下午2:29:43
 */
@Getter
@Setter
public class SaveInquiryDrugVO {
	
	/**
	 * 药品标签id
	 */
    @NotNull(message="药品标签id必传")
    @ApiModelProperty(value="药品标签id",required=true)
    private Long questionId;

    /**
     * 药品标签名
     */
    @NotBlank(message="药品标签名必传")
    @ApiModelProperty(value="药品标签名",required=true)
    private String tagName;

}
