package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.GetDisScaleAllInfoDTO;
import com.diagbot.entity.DisScale;
import com.diagbot.vo.GetDisScaleAllInfoVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 诊断量表映射表 Mapper 接口
 * </p>
 *
 * @author wangyu
 * @since 2019-04-01
 */
public interface DisScaleMapper extends BaseMapper<DisScale> {

    /**
     * 分页获取诊断关联量表信息
     *
     * @param getDisScaleAllInfoVO
     * @return
     */
    public IPage<GetDisScaleAllInfoDTO> getDisScaleInfo(@Param("getDisScaleAllInfoVO") GetDisScaleAllInfoVO getDisScaleAllInfoVO);
}
