package com.diagbot.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.entity.RetrievalMapping;

/**
 * <p>
 * 同义词检索映射表 Mapper 接口
 * </p>
 *
 * @author wangyu
 * @since 2018-12-03
 */
public interface RetrievalMappingMapper extends BaseMapper<RetrievalMapping> {
	
	/**
	 * 根据标签id集合获取标签别名个数
	 * @param ids
	 * @return map中questionId-标签id，cou-别名个数
	 */
	List<Map<String,Object>> getMapCouByQuesIds(List<Long> ids);

}
