package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.QuestionPageDTO;
import com.diagbot.entity.ScaleContent;
import com.diagbot.vo.QuestionPageVO;

/**
 * <p>
 * 量表内容表 Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2019-04-08
 */
public interface ScaleContentMapper extends BaseMapper<ScaleContent> {

    /**
     * 获取标签列表
     *
     * @param questionPageVO
     * @return
     */
    public IPage<QuestionPageDTO> getList(QuestionPageVO questionPageVO);
}
