package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.GetDisScaleAllInfoDTO;
import com.diagbot.entity.DisScale;
import com.diagbot.vo.GetDisScaleAllInfoVO;

/**
 * <p>
 * 诊断量表映射表 服务类
 * </p>
 *
 * @author wangyu
 * @since 2019-04-01
 */
public interface DisScaleService extends IService<DisScale> {

    /**
     * 分页获取诊断关联量表信息
     *
     * @param getDisScaleAllInfoVO
     * @return
     */
    public IPage<GetDisScaleAllInfoDTO> getDisScaleInfo(GetDisScaleAllInfoVO getDisScaleAllInfoVO);
}
