package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.GetDisScaleAllInfoDTO;
import com.diagbot.entity.DisScale;
import com.diagbot.mapper.DisScaleMapper;
import com.diagbot.service.DisScaleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.GetDisScaleAllInfoVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 诊断量表映射表 服务实现类
 * </p>
 *
 * @author wangyu
 * @since 2019-04-01
 */
@Service
public class DisScaleServiceImpl extends ServiceImpl<DisScaleMapper, DisScale> implements DisScaleService {

    @Override
    public IPage<GetDisScaleAllInfoDTO> getDisScaleInfo(GetDisScaleAllInfoVO getDisScaleAllInfoVO) {
        return baseMapper.getDisScaleInfo(getDisScaleAllInfoVO);
    }
}
