package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.EvaluationModuleMappingDTO;
import com.diagbot.entity.EvaluationModuleMapping;
import com.diagbot.mapper.EvaluationModuleMappingMapper;
import com.diagbot.service.EvaluationModuleMappingService;
import com.diagbot.vo.EvaluationModuleDiseaseNameVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 管理与评估模板表 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2019-03-25
 */
@Service
public class EvaluationModuleMappingServiceImpl extends ServiceImpl<EvaluationModuleMappingMapper, EvaluationModuleMapping> implements EvaluationModuleMappingService {

    @Override
    public IPage<EvaluationModuleMappingDTO> queryEvaluationModulePageAll(EvaluationModuleDiseaseNameVO evaluationModuleDiseaseNameVO) {
        return baseMapper.queryEvaluationModulePageAll(evaluationModuleDiseaseNameVO);

    }


}
