package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.QuestionPageDTO;
import com.diagbot.entity.ScaleContent;
import com.diagbot.mapper.ScaleContentMapper;
import com.diagbot.service.ScaleContentService;
import com.diagbot.vo.QuestionPageVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 量表内容表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2019-04-08
 */
@Service
public class ScaleContentServiceImpl extends ServiceImpl<ScaleContentMapper, ScaleContent> implements ScaleContentService {

    @Override
    public IPage<QuestionPageDTO> getList(QuestionPageVO questionPageVO) {
        return baseMapper.getList(questionPageVO);
    }
}
