package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description: 化验公表项保存参数
 * @Author:zhaops
 * @time: 2019/3/26 19:58
 */
@Getter
@Setter
public class LisMappingVO {
    @NotBlank(message = "请输入大项名称")
    private String mealName;
    private String itemName;
    @NotBlank(message = "请输入公表名称")
    private String uniqueName;
}
