package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 量表内容表
 * </p>
 *
 * @author zhoutg
 * @since 2019-04-08
 */
@Getter
@Setter
public class ScaleContentVO implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 内容
     */
    private String content;

    /**
     * 0:文本，1：大数据接口填充
     */
    private Integer type;

    /**
     * 排序号
     */
    private Integer orderNo;

    /**
     * 备注
     */
    private String remark;

}
