package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/1/31 16:53
 */
@Getter
@Setter
public class RelationDTO {
    /**
     * 主键
     */
    private Integer id;

    /**
     * 关系起点术语id
     */
    private Integer startId;

    /**
     * 关系起点术语名称
     */
    private String startName;

    /**
     * 关系起点术语类型
     */
    private String startType;

    /**
     * 关系id
     */
    private Integer relationId;

    /**
     * 关系名称
     */
    private String relationName;

    /**
     * 关系终点术语id
     */
    private Integer endId;

    /**
     * 关系终点术语名称
     */
    private String endName;

    /**
     * 关系终点术语类型
     */
    private String endType;

    /**
     * 其它信息
     */
    private String msg;

}
