package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.RelationDTO;
import com.diagbot.entity.LexiconRelationship;
import com.diagbot.facade.LibraryInfoFacade;
import com.diagbot.vo.AllRelationVo;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-02-01
 */
public interface LexiconRelationshipMapper extends BaseMapper<LexiconRelationship> {
    public LexiconRelationship getLexiconRelationship(RelationDTO relationDTO, LibraryInfoFacade libraryInfoFacade);

    public IPage<LexiconRelationship> getAllRelationName(AllRelationVo allrelationVo);
}
