package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.RelationDTO;
import com.diagbot.entity.LexiconRelationship;
import com.diagbot.facade.LibraryInfoFacade;
import com.diagbot.vo.AllRelationVo;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-02-01
 */
public interface LexiconRelationshipService extends IService<LexiconRelationship> {
    public LexiconRelationship getLexiconRelationship(RelationDTO relationDTO, LibraryInfoFacade libraryInfoFacade);

    public IPage<LexiconRelationship> getAllRelationName(AllRelationVo allrelationVo);
}
