package com.diagbot.client.hystrix;

import java.util.List;

import org.springframework.stereotype.Component;

import com.diagbot.client.InquiryInfoServiceClient;
import com.diagbot.dto.HisInquirysForDjDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.HisInquirysForDjVO;

import lombok.extern.slf4j.Slf4j;


/**
 * @Description: 调用问诊服务
 * @author: rengb
 * @time: 2019/3/19 9:52
 */
@Component
@Slf4j
public class InquiryInfoServiceHystrix implements InquiryInfoServiceClient {

	@Override
	public RespDTO<List<HisInquirysForDjDTO>> hisInquirysForDj(HisInquirysForDjVO hisInquirysForDjVO) {
		log.error("【hystrix】调用{}异常", "hisInquirysForDj");
		return null;
	}
	
	


}
