package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/3/19 10:30
 */
@RestController
@RequestMapping("/dataService")
@Api(value = "数据服务对外接口相关API", tags = { "数据服务对外接口相关API" })
public class DataServiceController {

    @ApiOperation(value = "是否对接:[by:zhaops]")
    @PostMapping("/isDocking")
    @SysLogger("isDocking")
    public RespDTO<Boolean> isDocking() {
        return RespDTO.onSuc(false);
    }
}
